NisusWrtTextInternal::PicturePara Struct Reference

Internal: the picture data ( PICD ). More...

## Public Member Functions

| PicturePara ()
| constructor

## Public Attributes

int | m_id
| the picture id
int | m_paragraph
| the paragraph position
MWAWBox2i | m_position
| the position

## Friends

std::ostream & | operator<< (std::ostream &o, PicturePara const &pict)
| operator<<

## Detailed Description

Internal: the picture data ( PICD ).

## Constructor & Destructor Documentation

## PicturePara()

NisusWrtTextInternal::PicturePara::PicturePara | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | PicturePara const & | pict )

friend

operator<<

## Member Data Documentation

## m_id

int NisusWrtTextInternal::PicturePara::m_id

the picture id

Referenced by operator<<, PicturePara(), and NisusWrtText::readPICD().

## m_paragraph

int NisusWrtTextInternal::PicturePara::m_paragraph

the paragraph position

Referenced by operator<<, PicturePara(), and NisusWrtText::readPICD().

## m_position

MWAWBox2i NisusWrtTextInternal::PicturePara::m_position

the position

Referenced by operator<<, PicturePara(), and NisusWrtText::readPICD().

The documentation for this struct was generated from the following file:

- NisusWrtText.cxx